
varying vec3 normal;

	uniform float Trans, Ypos;
	void main()
	{	


normal = normalize(gl_NormalMatrix * gl_Normal);					

		   		gl_TexCoord[0] = gl_MultiTexCoord0;
	
		
vec4 v = vec4(gl_Vertex);		
float Value=(v.y-Ypos)*0.01;

float Trans2 =Trans+ v.y + v.z;
v.x += sin(Trans2*0.5 )*Value;
v.y += cos(Trans2*0.3 )*Value*2.0;
v.z += cos(Trans2*0.1 )*Value;
		
		gl_Position = gl_ModelViewProjectionMatrix * v;
	} 